## python-lsp-mypy 0.5.7

=== requirements.txt ===
python-lsp-server
mypy
black
pre-commit
rstcheck

=== debian/changelog ===
python-lsp-mypy (0.5.7-1) unstable; urgency=medium

  * New upstream version 0.5.7
  * Drop patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 24 Dec 2021 22:53:51 +0100

python-lsp-mypy (0.5.6-1) unstable; urgency=medium

  * New upstream version 0.5.6
  * Change mypy to recommends
  * Add upstream patch for new mypy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Dec 2021 15:01:08 +0100

python-lsp-mypy (0.5.4-2) unstable; urgency=medium

  * Add missing mypy dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Dec 2021 08:11:05 +0100

python-lsp-mypy (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4
  * Drop patch (applied upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 08 Dec 2021 07:03:39 +0100

python-lsp-mypy (0.5.2-2) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Sep 2021 15:05:21 +0200

python-lsp-mypy (0.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #994605)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Sep 2021 14:11:56 +0200

=== debian/control ===
Source: python-lsp-mypy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: mypy,
               debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pylsp,
               python3-pytest <!nocheck>,
               python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/Richardk2n/pylsp-mypy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-mypy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-mypy
Rules-Requires-Root: no

Package: python3-pylsp-mypy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: mypy,
Description: Mypy plugin for the Python Language Server
 This package provides a plugin to support the Mypy static type checker in
 editors that support the Python Language Server.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/Richardk2n/pylsp-mypy/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-lsp-mypy 0.6.2

=== debian/changelog ===
python-lsp-mypy (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Jul 2022 07:52:34 +0200

python-lsp-mypy (0.5.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * Add upstream source
  * New upstream version 0.5.8
  * Update upstream URL
  * Update copyright
  * Update build dependencies
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 May 2022 07:23:33 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                python3-pylsp,
                python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.0
-Homepage: https://github.com/Richardk2n/pylsp-mypy
+               python3-toml,
+Standards-Version: 4.6.1
+Homepage: https://github.com/python-lsp/pylsp-mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-mypy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-mypy
 Rules-Requires-Root: no

## python-lsp-mypy 0.6.4

=== debian/changelog ===
python-lsp-mypy (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * Drop upstreamed patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 Dec 2022 22:57:36 +0100

python-lsp-mypy (0.6.3-3) unstable; urgency=medium

  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 08:01:30 +0100

python-lsp-mypy (0.6.3-2) unstable; urgency=medium

  * Add upstream patch for mypy 0.991

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 16:57:26 +0100

python-lsp-mypy (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 11 Oct 2022 21:01:20 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-mypy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-mypy
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pylsp-mypy
 Architecture: all

## python-lsp-mypy 0.6.5

=== requirements.txt ===
python-lsp-server
mypy
toml
types-toml
black
pre-commit
rstcheck
isort

=== debian/changelog ===
python-lsp-mypy (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 08 Jan 2023 08:40:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-toml,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/python-lsp/pylsp-mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-mypy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-mypy

## python-lsp-mypy 0.6.7

=== debian/changelog ===
python-lsp-mypy (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7
  * Update d/copyright
  * Drop python3-toml BD

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Jun 2023 18:46:24 +0200

## python-lsp-mypy 0.6.8

=== requirements.txt ===
python-lsp-server
mypy >= 0.981
tomli >= 1.1.0
black
pre-commit
rstcheck
isort

=== debian/changelog ===
python-lsp-mypy (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8
  * Only require tomli in old Python versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 16 Nov 2023 06:52:35 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                python3-pylsp,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-toml,
 Standards-Version: 4.6.2
 Homepage: https://github.com/python-lsp/pylsp-mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-mypy.git

## python-lsp-mypy 0.6.9

=== requirements.txt ===
python-lsp-server
mypy >= 0.981
tomli >= 1.1.0 ; python_version < "3.11"
black
pre-commit
rstcheck
isort

=== debian/changelog ===
python-lsp-mypy (0.6.9-1) unstable; urgency=medium

  * New upstream version 0.6.9
  * Drop upstreamed patch
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Nov 2024 11:22:15 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-pylsp,
                python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/python-lsp/pylsp-mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-mypy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-mypy

## python-lsp-mypy 0.7.0

=== debian/changelog ===
python-lsp-mypy (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Aug 2025 17:17:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-pylsp,
                python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/python-lsp/pylsp-mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-mypy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-mypy

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/python-lsp/pylsp-mypy/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
